<?php

namespace App\Http\Controllers\Admin;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Http\Requests\MediaFileRequest;
use Session;
use File;


class MediaController extends Controller
{
  
    public function __construct()
    {
       $this->middleware('auth:admin');
    }

    public function index() {

        return view('admin.resources.index');
    }

    public function create() {

        return view('admin.resources.create');
       
    }
    
    public function store(Request $request) {

       if($request->hasFile('files')) {

            $terms = count($request->file('files'));         

            for($i=0;$i<$terms;$i++){

                $destinationPath = 'uploads/metas';
                $file[$i] = $request->file('files')[$i];
                $original_name[$i] = pathinfo($file[$i]->getClientOriginalName(), PATHINFO_FILENAME);
                $extension[$i] = $file[$i]->getClientOriginalExtension();
                $original_name[$i] = time().rand(100,999).str_replace(' ', '-', $original_name[$i]);
                $filename[$i]=$original_name[$i].'.'.$extension[$i];
                
                $result = $file[$i]->move(
                    config('services.new_root_path').$destinationPath, $filename[$i]
                );
            }

        if($result){
           Session::flash('success', 'Meta file(s) uploaded successfully'); 
        } else {
           Session::flash('danger', 'Error encounterd');
        }

    } else{

        Session::flash('danger', 'Please select atleast one file');
    }
        return redirect()->route('admin.resources.list');
        
        
    }

    public function multiple_file_delete(Request $request) {

        $items = $request->only('item');
        $terms = count($items['item']);
        $result = false;
        for($i=0;$i<$terms;$i++){
            
            if (file_exists(config('services.new_root_path').'uploads/metas/' . $items['item'][$i])) {
                     File::delete(config('services.new_root_path').'uploads/metas/' . $items['item'][$i]);
                }
          $result = true;      
        }
        if($result){
           Session::flash('success', $terms.' Meta file(s) deleted successfully'); 
        } else {
           Session::flash('danger', 'Error encounterd');
        }
        
        return redirect()->route('admin.resources.list');


    }


}
