<?php

namespace App\Http\Controllers\Admin;
use App\Http\Requests\PermissionRequest;
use App\Http\Controllers\Controller;
use App\Models\Permission;
use App\Models\RoleHasPermission;
use Session;


class PermissionController extends Controller
{
  
    public function __construct()
    {
       $this->middleware('auth:admin');
    }
 
    public function index() {

        return view('admin.permissions.index');
        
    }

    public function create() {

        
        return view('admin.permissions.create');
       
    }

    public function store(PermissionRequest $request) {

        $input = $request->only('name','description','guard_name');
        $result = Permission::create($input);
        if($result){
           Session::flash('success', 'Permission created successfully'); 
        } else {
           Session::flash('danger', 'Error encounterd');
        }
        return redirect()->route('admin.permissions.list');
    }


    public function edit($id) {

         $permission = Permission::findOrFail($id);
         return view('admin.permissions.edit',compact('permission'));
    }

    public function update(PermissionRequest $request, $id) {

        $input = $request->only('name','description','guard_name');
        $permission = Permission::findOrFail($id);
        $result = $permission->update($input);
        if($result){
           Session::flash('success', 'Permission updated successfully'); 
        } else {
           Session::flash('danger', 'Error encounterd');
        }
        if($request->Submit == 'update'){
            return redirect()->route('admin.permissions.list');
        }else{
            return redirect()->back();
        }
        
    } 


    public function destroy($id) {

        $permission = Permission::findOrFail($id);
        $permission->roles()->detach($id);
        $result = Permission::destroy($id);
        $result2 = RoleHasPermission::where('permission_id', $id)->delete();
        if($result){
           Session::flash('success', 'Permission deleted Successfully'); 
        } else {
           Session::flash('danger', 'Error Encounterd');
        }
        return redirect()->route('admin.permissions.list');
    }  



}
