<?php

namespace App\Http\Controllers\Admin;
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use App\Models\Role;
use App\Models\Permission;
use App\Models\RoleHasPermission;
use Session;


class RolePermissionController extends Controller
{
  
    public function __construct()
    {
       $this->middleware('auth:admin');
    }
 
    public function index() {

        return view('admin.role-permmisions.index');
        
    }

    public function manage(Request $request){

    	$this->validate($request, [
            'guard'   => 'required|string',
            'role_id'   => 'required|integer',
            'permission_id'   => 'required|integer',
            'isChecked' => 'required'
        ]);

    	if ($request->ajax() && $request->isMethod('POST')) {

    		$input = $request->only('guard','role_id','permission_id');

    		$role = Role::findOrFail($request->role_id);

    		$request->isChecked == 'true' ? $role->permissions()->attach($request->permission_id) : $role->permissions()->detach($request->permission_id);

    		$msg = $request->isChecked ? 'Permission is attached successfully' : 'Permission is detached successfully';

    		return response()->json(['status' => true, 'success' => $msg]);

    	}else{

    		return response()->json(['status' => false, 'danger' => 'Error encounterd']);

    	}

    }	

}
