<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;


class PermissionRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {

        $guard_arr = config('auth.guards');
        $guards = array_keys($guard_arr);
        $guards = implode(",",$guards);

        switch($this->method())
        {
            case 'GET':
            {
                return [];
            }
            case 'DELETE':
            {
                return [

                      'id'                    => 'required|integer' 
                ];
            }
            case 'POST':
            {
                return [
                    
                    'name'  => 'required|string|max:100|unique:permissions,name,null,null,guard_name,'.$this->guard_name,
                    'guard_name' => 'required|string|in:'.$guards,
                    'description' => 'required|string'
                ];
            }
            case 'PATCH':
            {
                return [

                    'name'  => 'required|unique:permissions,name,'.$this->id.',id,guard_name,'.$this->guard_name,
                    'guard_name' => 'required|string|in:'.$guards,
                    'description' => 'required|string'

                ];
            }
            default:break;
        }

        
    }

    public function messages()
    {
        return [ 

           
       
        ];
    }

}
