<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use App\Models\Category;
use App\Models\Tag;
use App\Models\Admin;
use App\Models\PostMeta;
use App\Models\PostFile;
use App\Models\PostMetaElement;
use App\Models\Menu;

class Post extends Model
{
    protected $guarded = ['id','updated_at'];

    public $timestamps = true;

    public function categories()
    {
        return $this->belongsToMany(Category::class,'post_category_relationships');

    }

     public function tags()
    {
        return $this->belongsToMany(Tag::class,'post_tag_relationships');

    }

    public function user(){

        return $this->belongsTo(Admin::class, 'user_id', 'id');
    }

    public function metas()
    {
        return $this->hasMany(PostMeta::class);
    }

    public function files()
    {
        return $this->hasMany(PostFile::class);
    }
	
	public function post_meta_element()
    {
        return $this->hasOne(PostMetaElement::class);
    }

    public function menu()
    {
        return $this->hasOne(Menu::class);
    }
}
