@extends('layouts.main')
@section('title') Dashboard @endsection
@section('content')
<div id="page-wrapper">

            <div class="container-fluid">

                <!-- Page Heading -->
                <div class="row">
                    <div class="col-lg-12">
                        <h1 class="page-header">
                            Dashboard <small>Statistics Overview</small>	
                        </h1>
                        <ol class="breadcrumb">
                          {{ generateBreadcrumb() }} 
                        </ol>

                    </div>
                </div>
                <!-- /.row -->
                <div class="row">
                    <div class="col-lg-12">
                        @component('elements.admin.components.flash') @endcomponent 
                    </div>
                </div>
              
			<div class="parent-content-wrapper">
			 <div id="content-sortable">
				
					
                
                <div class="row">
					<div class="col-lg-12 clearfix" id="containment-wrapper">
						<ul id="interchange">
							
							<li>
								<div class="panel_division">
									<div class="panel panel-primary">
									<div class="panel-heading">
										<div class="row">
											<div class="col-xs-3">
												<i class="fa fa-comments fa-5x"></i>
											</div>
											<div class="col-xs-9 scroll-none text-right">
												<div class="huge">{{ count($pages) }}</div>
												<div>Active Pages</div>
											</div>
										</div>
									</div>
								</div>
								</div>
							</li>
							
							<li>
								<div class="panel_division">
									<div class="panel panel-green">
									<div class="panel-heading">
										<div class="row">
											<div class="col-xs-3">
												<i class="fa fa-tasks fa-5x"></i>
											</div>
											<div class="col-xs-9 scroll-none text-right">
												<div class="huge">{{ count($posts) }}</div>
												<div>Active Blogs</div>
											</div>
										</div>
									</div>
									
								</div>
								</div>
							</li>
							
							<li>
								<div class="panel_division">
									<div class="panel panel-yellow">
									<div class="panel-heading">
										<div class="row">
											<div class="col-xs-3">
												<i class="fa fa-shopping-cart fa-5x"></i>
											</div>
											<div class="col-xs-9 scroll-none text-right">
												<div class="huge">{{ $contact_req }}</div>
												<div>Contact Requests</div>
											</div>
										</div>
									</div>
									
								</div>
								</div>
							</li>
							
							<li>
								<div class="panel_division">
									<div class="panel panel-red">
									<div class="panel-heading">
										<div class="row">
											<div class="col-xs-3">
												<i class="fa fa-support fa-5x"></i>
											</div>
											<div class="col-xs-9 scroll-none text-right">
												<div class="huge">{{ $appo_req }}</div>
												<div>Appointment Requests</div>
											</div>
										</div>
									</div>
									
								</div>
								</div>
							</li>
							
						</ul>
					</div>
                </div>
                <!-- /.row -->

                {{--<div class="row">
                    <div class="col-lg-12">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h3 class="panel-title"><i class="fa fa-bar-chart-o fa-fw"></i> Area Chart <a class="collapse-link pull-right"><i class="fa fa-chevron-up"></i></a></h3>
                            </div>
                            <div class="panel-body">
                                <div id="morris-area-chart"></div>
                            </div>
                        </div>
                    </div>
                </div>--}}
                <!-- /.row -->
                <div class="row">
				<div class="parent-task-panel clearfix">
				  <div id="task-panel">
                    <div class="col-lg-4 child">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h3 class="panel-title"><i class="fa fa-clock-o fa-fw"></i> Latest Pages<a class="collapse-link pull-right"><i class="fa fa-chevron-up"></i></a></h3>
                            </div>
                            <div class="panel-body">
                                <div class="list-group">
                                    @foreach($latest_pages as $page)
                                    <a href="{{ route('admin.page.edit',$page->id) }}" class="list-group-item">
                                        <span class="badge">{{ $page->created_at->diffForHumans()}}</span>
                                        <i class="fa fa-fw fa-calendar"></i> {{ str_limit($page->title,20)  }}
                                    </a>
                                    @endforeach
                                   
                                </div>
                                <div class="text-right">
                                    <a href="{{ route('admin.pages.list') }}">View All Activity <i class="fa fa-arrow-circle-right"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 child">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h3 class="panel-title"><i class="fa fa-clock-o fa-fw"></i> Latest Blogs<a class="collapse-link pull-right"><i class="fa fa-chevron-up"></i></a></h3>
                            </div>
                            <div class="panel-body">
                                <div class="list-group">
                                    @foreach($latest_blogs as $post)
                                    <a href="{{ route('admin.post.edit',$post->id) }}" class="list-group-item">
                                        <span class="badge">{{ $post->created_at->diffForHumans()}}</span>
                                        <i class="fa fa-fw fa-calendar"></i> {{ str_limit($post->title,20)  }}
                                    </a>
                                    @endforeach
                                   
                                </div>
                                <div class="text-right">
                                    <a href="{{ route('admin.posts.list') }}">View All Activity <i class="fa fa-arrow-circle-right"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4 child">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h3 class="panel-title"><i class="fa fa-clock-o fa-fw"></i> Latest Appointment<a class="collapse-link pull-right"><i class="fa fa-chevron-up"></i></a></h3>
                            </div>
                            <div class="panel-body">
                                <div class="list-group">
                                    @foreach($latest_appo as $appo)
                                    <a href="#" class="list-group-item">
                                        <span class="badge">{{ $appo->created_at->diffForHumans()}}</span>
                                        <i class="fa fa-fw fa-calendar"></i> {{ $appo->name . $appo->phone }}
                                    </a>
                                    @endforeach
                                   
                                </div>
                                <div class="text-right">
                                    <a href="{{ route('admin.appointments.list') }}">View All Activity <i class="fa fa-arrow-circle-right"></i></a>
                                </div>
                            </div>
                        </div>
                    </div>
				 </div>	
				</div>	
                </div>
                <!-- /.row -->
            </div>
		    </div>
            </div>
            <!-- /.container-fluid -->

</div>
@endsection